<?php

add_action( 'before_momtaz_setup', 'sample_before_momtaz_setup', 11 );

/**
 * Load all the necessary code before Momtaz setup.
 *
 * @since Momtaz Sample 0.1
 * @return void
 */
function sample_before_momtaz_setup() {

	// Define the theme prefix.
	define( 'THEME_PREFIX', 'mytheme' );
	
	// Add support for core menus
	add_theme_support( 'momtaz-core-menus', array( 'primary', 'secondary' ) );

}


add_action( 'after_momtaz_setup', 'mytheme_after_momtaz_setup', 11 );

/**
* Load loop pagination module.
*/
function mytheme_after_momtaz_setup() {

	Momtaz_Modules::load_module( 'loop-pagination' );
	
}


add_action( 'mytheme_footer', 'mytheme_add_footer_menu' );

/**
* Load the secondary menu into theme footer.
*/
function mytheme_add_footer_menu() {
	
	momtaz_template_part( 'menu', 'secondary' );
	
}


add_action( 'mytheme_after_primary_menu', 'mytheme_header_search' );

/**
* Load the search form directly after primary menu.
*/
function mytheme_header_search() {
	
	get_search_form();
	
}
